// JavaScript Document

// expand relative sidebar dropdown on page load
$(document).ready(function() {
	'use strict';
	
	if (readCookie("coop"))
{  
 $("div.container-fluid.bg-danger").hide();
}
	
	var createCookie = function(name, value, days) {
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        var expires = '; expires=' + date.toGMTString();
    }
    else var expires = '';
        document.cookie = name + '=' + value + expires + '; path=/';
};
	var readCookie = function(name) {
		var nameEQ = name + '=';
		var ca = document.cookie.split(';');
		for (var i = 0; i < ca.length; i++) {
			var c = ca[i];
			while (c.charAt(0) == ' ') c = c.substring(1, c.length);
			if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
		}
		return null;
	};
	var eraseCookie = function(name) {
		createCookie(name, '', -1);
	};

	function coopcookie() {
	  createCookie("coop", "hidden");
	}; 
	
	<script>
$(document).ready(function(){
    $(".btn").click(function(){
        $("#myModal").modal("show");
    });
});
</script>
	

	var myModal = document.getElementById('myModal')
var myInput = document.getElementById('myInput')

myModal.addEventListener('shown.bs.modal', function () {
  myInput.focus()
})

//	// if screen size is medium or larger
//	if ($(window).width() > 767) {
//		if ($(window).scrollTop() > 100) {
//			// > 100px from top - show div
//			$('.navbar-brand > span').fadeIn("fast");
//			console.log('scroll() Show Brand');
//		}
//		else {
//			// <= 100px from top - hide div
//			$('.navbar-brand > span').fadeOut("fast");
//			console.log('scroll() Hide Brand');
//		}
//	}
//	else {
//		$('.navbar-brand > span').fadeIn("fast");
//	}
	
	var currentPage = document.location.pathname.match(/[^\/]+$/)[0];
	console.log('currentPage: ' + currentPage);
	
	// loop through navbar items and highlight the one that matches the currentPage
	$('a.dropdown-item').each(function(){
		var currentItem = $(this).attr('href');
		console.log('a.dropdown-item currentItem: ' + currentItem);
		if(currentItem === currentPage){
			// Highlight the currently active page in the sidebar navigation
			$(this).addClass('active');			
			// break out of the .each() loop
			return false;
		}
	});
	
	// loop through sidebar nav items and highlight the one that matches the currentPage
	$('a.nav-link').each(function(){
		var currentItem = $(this).attr('href');
		console.log('a.nav-link currentItem: ' + currentItem);
		if(currentItem === currentPage){
			// Highlight the currently active page in the sidebar navigation
			$(this).addClass('active');			
			// break out of the .each() loop
			//return false;
		}
	});
	
	// loop though only the collapseable nav items
	$('ul.navbar-nav > li.nav-item.dropdown > div.dropdown-menu > a.dropdown-item').each(function (){
		//console.log( index + ": " + $( this ).attr('href') );
		
		var currentItem = $(this).attr('href');
		//console.log('Navbar dropdown currentItem ' + index + ': ' + currentItem);
		
		// if the href matches current url page
		if(currentItem === currentPage){
			console.log('We have a match: ' + currentItem);
			
			// Highlight the currently active page in the sidebar navigation
			//$(this).addClass('active');
			// expand the relative collapseable group in the sidebar nav
			//$(this).parent().parent().find('>:first-child').trigger('click');
			$(this).parent().parent().addClass('show');
			$(this).parent().addClass('show');
			
			// break out of the .each() loop
			return false;
		}
	});
	
	// loop though only the collapseable nav items
	$('#sidebar > ul.nav > li.nav-item > div.collapse ul.nav > li.nav-item > a.nav-link').each(function (){
		//console.log( index + ": " + $( this ).attr('href') );
		
		var currentItem = $(this).attr('href');
		//console.log('currentItem ' + index + ': ' + currentItem);
		
		// if the href matches current url page
		if(currentItem === currentPage){
			//console.log('We have a match: ' + currentItem);
			
			// Highlight the currently active page in the sidebar navigation
			//$(this).addClass('active');
			// expand the relative collapseable group in the sidebar nav
			$(this).parent().parent().parent().parent().find('>:first-child').trigger('click');
			
			// break out of the .each() loop
			return false;
		}
	});
});

//// Show small CDC logo when scrolled down x pixels
//$(window).scroll(function() {
//	'use strict';
//	
//	// if screen size is medium or larger
//	if ($(window).width() > 767) {
//		if ($(window).scrollTop() > 100) {
//			// > 100px from top - show div
//			$('.navbar-brand > span').fadeIn("slow");
//			console.log('scroll() Show Brand');
//		}
//		else {
//			// <= 100px from top - hide div
//			$('.navbar-brand > span').fadeOut("slow");
//			console.log('scroll() Hide Brand');
//		}
//	}
//	else {
//		$('.navbar-brand > span').fadeIn("slow");
//	}
//});

//$(window).resize(function(){
//	'use strict';
//	
//	// if screen is less than medium
//	if ($(window).width() < 768) {
//		$('.navbar-brand > span').fadeIn("slow");
//		console.log('resize() Show Brand');
//	}
//	else if($(window).width() > 767 && $(window).scrollTop() > 100) {
//		$('.navbar-brand > span').fadeIn("slow");
//		console.log('resize() Hide Brand');
//	}
//	else if($(window).width() > 767 && $(window).scrollTop() < 100) {
//		$('.navbar-brand > span').fadeOut("slow");
//		console.log('resize() Hide Brand');
//	}
//});

// CD: pause all other audio/video so only one is playing at a time
document.addEventListener('play', function(e){
	"use strict";

	var audios = document.getElementsByTagName('audio');
	
	for(var i = 0, alen = audios.length; i < alen; i++){
		if(audios[i] !== e.target){
			audios[i].pause();
		}
	}
	
	var videos = document.getElementsByTagName('video');
	
	for(var j = 0, vlen = videos.length; j < vlen; j++){
		if(videos[j] !== e.target){
			videos[j].pause();
		}
	}
}, true);			


// collapse nav bar when item clicked
$('.navbar-nav  li a').on('click', function(){
	"use strict";
	//alert($(this));
	if($(this).hasClass('dropdown-toggle')){
	   //alert("Don't collapse");
	}
	else{
		//alert("Collapse the nav");
		$('.navbar-collapse').collapse('hide');
	}
});			


/********************************************************************

Show/Hide feedback for multiple choice Knowledge Check questions

********************************************************************/
$('input[type="radio"].orau-kcrb').on('click', function(){
	'use strict';
	// this question container = $(this).parent().parent().parent()
	var qContainer = $(this).parent().parent().parent();
	// hide all feedback in this question container
	$(qContainer).children('.feedback-container').children('.alert').hide();
	// set value for selected answer
	var answer = $(this).val();
	// set value for feedback contianer of selected answer
	var answerFBContainer = parseInt(answer); // increment by one as the first container is the answers/choices
	console.log('Selected answer: ' + answerFBContainer);
	// show feedback for the selected answer
	$(qContainer).children('.feedback-container').children('.alert:nth-child('+(answerFBContainer)+')').show();
});

